package com.sw.mes.yb.pad.service;

import com.sw.mes.core.base.BaseService;
import com.sw.mes.yb.pad.entity.RecutDetail;

import java.util.List;

/**
* @Author
* @Description：
* @Date:
* @Modified By:
*/
public interface RecutDetailService extends BaseService<RecutDetail> {
    RecutDetail findBySectionNoFb(String code);

    List<RecutDetail> getAllDataBySectionNoFb(String sectionNoFb);

    List<RecutDetail> findByParentId(Long goodsId);

    List<RecutDetail> findByPieceNo(String pieceNo);

    List<RecutDetail> findBySectionNo(String pieceNo);
}
